<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>..\Bin</OutputPath>
    <DocumentationFile>..\Bin\Siger.ApiDashboard.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>..\Bin\Siger.ApiDashboard.xml</DocumentationFile>
    <OutputPath>..\Bin</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Controllers\HomeController.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="FluentScheduler" Version="5.3.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="3.1.5" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="3.1.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\Common\Siger.Middlelayer.Log\Siger.Middlelayer.Log.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.AccRepository\Siger.Middlelayer.AccRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.CncRepository\Siger.Middlelayer.CncRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.DashboardRepository\Siger.Middlelayer.DashboardRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.EsopRepository\Siger.Middlelayer.EsopRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.KpiRespository\Siger.Middlelayer.KpiRespository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.QmsRepository\Siger.Middlelayer.QmsRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.TlmRepository\Siger.Middlelayer.TlmRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Repositories\Siger.Middlelayer.WmsRepository\Siger.Middlelayer.WmsRepository.csproj" />
    <ProjectReference Include="..\..\Infrastructure\Siger.Middlelayer.Dapper\Siger.Middlelayer.Dapper.csproj" />
    <ProjectReference Include="..\Siger.ApiCommon\Siger.ApiCommon.csproj" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties properties_4launchsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
